# Copyright (C) 2013 Collabora Ltd.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

"""
Run apparmor-folks test suite

Default Options: None
"""

import re

from lava_test.core.installers import TestInstaller
from lava_test.core.runners import TestRunner
from lava_test.core.parsers import TestParser
from lava_test.core.tests import Test

DEPS = ['chaiwala-apparmor-folks-tests']
RUNSTEPS = ['sudo /usr/lib/chaiwala-apparmor-folks-tests/test-folks']
PATTERN = "^(?P<test_case_id>.+)\.expected:\s*(?P<result>\w+)$"

installer = TestInstaller(deps=DEPS)
runner = TestRunner(RUNSTEPS)
parser = TestParser(PATTERN)

testobj = Test(
    test_id="apparmor-folks",
    installer=installer,
    runner=runner,
    parser=parser)
