# Copyright (C) 2012 Collabora Ltd.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

"""
Tests that the webkit-clutter abstraction doesn't cause false negatives 
and that it does not allow arbitrary reading of files in the home directory.

**URL:**

**Default options:** None
"""

from lava_test.core.installers import TestInstaller
from lava_test.core.runners import TestRunner
from lava_test.core.parsers import TestParser
from lava_test.core.tests import Test

DEPS = ['chaiwala-apparmor-tests', 'chaiwala-apparmor-webkit-clutter-tests']
RUNSTEPS = ['sudo /usr/lib/chaiwala-apparmor-tests/test-webkit-clutter']
PATTERN = "^(?P<test_case_id>[\w\-\.]+):\s(?P<result>\w+)$"

installer = TestInstaller(deps=DEPS)
runner = TestRunner(RUNSTEPS)
parser = TestParser(PATTERN)

testobj = Test(test_id="apparmor-webkit-clutter",
               installer=installer,
               runner=runner,
               parser=parser)
