# Copyright (C) 2012 Collabora Ltd.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

"""
Run clutter performance tests

URL: http://git.gnome.org/browse/clutter/

Default Options: None
"""

from lava_test.core.installers import TestInstaller
from lava_test.core.runners import TestRunner
from lava_test.core.parsers import TestParser
from lava_test.core.tests import Test

DEPS = ['chaiwala-tests', 'clutter-1.0-tests']
RUNSTEPS = ['/usr/lib/chaiwala-tests/clutter-performance/test-performance.sh']
PATTERN = "^@ (?P<test_case_id>[a-z_\-]+):\W(?P<measurement>[\d\.]+)\Wfps\W*"

installer = TestInstaller(deps=DEPS)
runner = TestRunner(RUNSTEPS)
parser = TestParser(PATTERN, appendall={'units': 'fps', 'result': 'pass'})

testobj = Test(
  test_id="clutter-performance",
  installer=installer,
  runner=runner,
  parser=parser)
