# Copyright (c) 2012 Collabora Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from lava_test.core.installers import TestInstaller
from lava_test.core.parsers import TestParser
from lava_test.core.runners import TestRunner
from lava_test.core.tests import Test
import os


VERSION = '0.1'
DEPS = ['chaiwala-tests']
RUNSTEPS = ['/usr/lib/chaiwala-tests/connman/connman-test.py']
PATTERN = "(?P<test_case_id>[a-z_]+) \([^\(\)]+\) \.\.\. (?P<result>[a-zA-Z]+)"
FIXUPS = {
    "ERROR": "fail",
    "FAIL": "fail",
    "ok": "pass"
}


class ConnmanParser(TestParser):

    def parse(self, artifacts):
        return self.parse_pathname(
            artifacts.stderr_pathname,
            os.path.relpath(artifacts.stderr_pathname,
                            artifacts.results_dir))


installer = TestInstaller(deps=DEPS)
runner = TestRunner(RUNSTEPS)
parser = ConnmanParser(PATTERN, fixupdict=FIXUPS)

testobj = Test(
    test_id="connman",
    test_version=VERSION,
    installer=installer,
    runner=runner,
    parser=parser)
